# TdApi.InputMessageForwarded (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputMessageForwarded

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageForwarded

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageForwarded

Enclosing class:
  TdApi

public static final class TdApi.InputMessageForwarded extends TdApi.InputMessageContent
A forwarded message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.MessageCopyOptions`
`copyOptions`
Options to be used to copy content of the message without reference to the original sender; pass null to forward the message as usual.
`long`
`fromChatId`
Identifier for the chat this forwarded message came from.
`boolean`
`inGameShare`
True, if a game message is being shared from a launched game; applies only to game messages.
`long`
`messageId`
Identifier of the message to forward.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageForwarded()`
A forwarded message.
`InputMessageForwarded(long fromChatId, long messageId, boolean inGameShare, TdApi.MessageCopyOptions copyOptions)`
A forwarded message.
`InputMessageForwarded(DataInput input)`
A forwarded message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fromChatId

public long fromChatId
Identifier for the chat this forwarded message came from.

### messageId

public long messageId
Identifier of the message to forward. A message can be forwarded only if message.canBeForwarded.

### inGameShare

public boolean inGameShare
True, if a game message is being shared from a launched game; applies only to game messages.

### copyOptions

public TdApi.MessageCopyOptions copyOptions
Options to be used to copy content of the message without reference to the original sender; pass null to forward the message as usual.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageForwarded

public InputMessageForwarded()
A forwarded message.

### InputMessageForwarded

public InputMessageForwarded(long fromChatId, long messageId, boolean inGameShare, TdApi.MessageCopyOptions copyOptions)
A forwarded message.

Parameters:
  `fromChatId` - Identifier for the chat this forwarded message came from.
  `messageId` - Identifier of the message to forward. A message can be forwarded only if message.canBeForwarded.
  `inGameShare` - True, if a game message is being shared from a launched game; applies only to game messages.
  `copyOptions` - Options to be used to copy content of the message without reference to the original sender; pass null to forward the message as usual.

### InputMessageForwarded

public InputMessageForwarded(DataInput input) throws IOException
A forwarded message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`